
Core - Bug # 55527

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Must have
Author: Stephan Großberndt Category: Install Tool
Created: 2014-01-31 Assigned To: Stephan Großberndt
Updated: 2014-02-01 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Exception "Invalid cache backend option servers" in Install Tool with memcached enabled
Description

Fatal error: Uncaught exception 'InvalidArgumentException' with message 'Invalid cache backend option "servers" for backend
of type "TYPO3\CMS\Core\Cache\Backend\NullBackend"' in
D:\codesprint\typo3\master\typo3\sysext\core\Classes\Cache\Backend\AbstractBackend.php on line 86

width installed memcached when accessing Install tool using the following settings in AdditionalConfiguration.php:

$GLOBALS['TYPO3_CONF_VARS']['SYS']['useCachingFramework'] = '1';
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['cache_pages']['backend'] =
'TYPO3\\CMS\\Core\\Cache\\Backend\\MemcachedBackend';
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['cache_pages']['options'] = array('servers' =>
array('localhost:11211'),);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['cache_pagesection']['backend'] =
'TYPO3\\CMS\\Core\\Cache\\Backend\\MemcachedBackend';
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['cache_pagesection']['options'] = array('servers' =>
array('localhost:11211'),);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['cache_hash']['backend'] =
'TYPO3\\CMS\\Core\\Cache\\Backend\\MemcachedBackend';
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['cache_hash']['options'] = array('servers' =>
array('localhost:11211'),);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['extbase_datamapfactory_datamap']['backend'] =
'TYPO3\\CMS\\Core\\Cache\\Backend\\MemcachedBackend';
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['extbase_datamapfactory_datamap']['options'] =
array('servers' => array('localhost:11211'),);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['extbase_object']['backend'] =
'TYPO3\\CMS\\Core\\Cache\\Backend\\MemcachedBackend';
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['extbase_object']['options'] = array('servers' =>
array('localhost:11211'),);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['extbase_typo3dbbackend_tablecolumns']['backend'] = 'TYPO3\\CMS\\Core\\Cache\\Backend\\MemcachedBackend';
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['extbase_typo3dbbackend_tablecolumns']['options'] = array('servers' => array('localhost:11211'),);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['t3lib_l10n']['backend'] = 'TYPO3\\CMS\\Core\\Cache\\Backend\\MemcachedBackend';
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['t3lib_l10n']['options'] = array('servers' => array('localhost:11211'),);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['workspaces_cache']['backend'] = 'TYPO3\\CMS\\Core\\Cache\\Backend\\MemcachedBackend';
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['workspaces_cache']['options'] = array('servers' => array('localhost:11211'),);

d'] = 'TYPO3\\CMS\\Core\\Cache\\Backend\\MemcachedBackend';
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['extbase_typo3dbbackend_tablecolumns']['options'] = array('servers' => array('localhost:11211'),);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['t3lib_l10n']['backend'] = 'TYPO3\\CMS\\Core\\Cache\\Backend\\MemcachedBackend';
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['t3lib_l10n']['options'] = array('servers' => array('localhost:11211'),);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['workspaces_cache']['backend'] = 'TYPO3\\CMS\\Core\\Cache\\Backend\\MemcachedBackend';
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['workspaces_cache']['options'] = array('servers' => array('localhost:11211'),);

'] = array('servers' => array('localhost:11211'),);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['t3lib_l10n']['backend'] =
'TYPO3\\CMS\\Core\\Cache\\Backend\\MemcachedBackend';
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['t3lib_l10n']['options'] = array('servers' =>
array('localhost:11211'),);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['workspaces_cache']['backend'] =
'TYPO3\\CMS\\Core\\Cache\\Backend\\MemcachedBackend';
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['workspaces_cache']['options'] = array('servers' =>
array('localhost:11211'),);

Probably due to not correctly resetting cache options in Install tool.

Associated revisions
Revision 06e7dbb6 - 2014-02-01 13:57 - Stephan Großberndt

[BUGFIX] Ignore cache configuration options when loading Install tool

The options of cacheConfigurations were not reset when setting the
cacheConfigurations to NullBackend in the Install tool.

Resolves: #55527
Releases: 6.2
Change-Id: I25586f16f001fdddbd2d43b2df9110f65c4ad1b4
Reviewed-on: https://review.typo3.org/27214
Reviewed-by: Ernesto Baschny
Reviewed-by: Peter Kuehn
Tested-by: Peter Kuehn
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2014-01-31 19:55 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27214

#2 - 2014-02-01 14:30 - Stephan Großberndt
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:06e7dbb6f2cdd11b5f5e59c950599ef068b9c9a1.

#3 - 2014-02-01 15:47 - Christian Kuhn
- Parent task set to #49162
